Page MenuHomePhabricator

Stopping cronjobs on maps-test2004
Closed, ResolvedPublic

Description

If a reload is being done, all the cron jobs on that server need stopping.

How can this be done?

Event Timeline

Pnorman assigned this task to Gehel.May 16 2018, 9:08 PM
Pnorman triaged this task as Normal priority.
Pnorman created this task.
Pnorman edited projects, added Maps; removed Maps (Maps-data).May 16 2018, 9:58 PM
Restricted Application added a project: Discovery. · View Herald TranscriptMay 16 2018, 9:58 PM
Gehel added a comment.May 17 2018, 1:20 PM

The profile::maps::osm_master provides the disable_replication_cron variable which we can set to false to disable replication.

The three process-osm-data tasks that need to be regularly run are static-update, planet-update, database-update. Each of the tasks has a base cost that they always take regardless of how much they have to update.

database-update has a base cost of a few seconds, and the data it's pulling updates every minute. I suggest running every 1-5 minutes. The longer between runs, the longer reach run takes. This task updates the database, which updates *most* of the stuff and also invalidates tiles.

planet-update has a base cost of half an hour or so, and the data it's pulling updates every minute. It updates the borders. I suggest running every 6-24 hours. The longer between runs, the longer reach run takes, but most of the time is the base cost.

static-update has a base cost of seconds, and the data its pulling updates every day. It takes the same amount of time to run if it's been a day or a month. I suggest running every hour, as it's cheap, and it avoids *just* missing a data update.

A fourth task is T194787: Set up cron task to regenerate low-zoom vector tiles which is probably weekly or monthy.

Change 433625 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] maps: add crons for different update types

https://gerrit.wikimedia.org/r/433625

Change 433626 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] maps: disable OSM synchronisation while testing

https://gerrit.wikimedia.org/r/433626

Change 433625 merged by Gehel:
[operations/puppet@production] maps: add crons for different update types

https://gerrit.wikimedia.org/r/433625

Change 433626 merged by Gehel:
[operations/puppet@production] maps: disable OSM synchronisation while testing

https://gerrit.wikimedia.org/r/433626

Change 433628 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] maps: fix typo in cron hours

https://gerrit.wikimedia.org/r/433628

Change 433628 merged by Gehel:
[operations/puppet@production] maps: fix typo in cron hours

https://gerrit.wikimedia.org/r/433628

Change 433629 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] maps: fix typo in cron hours

https://gerrit.wikimedia.org/r/433629

Change 433629 merged by Gehel:
[operations/puppet@production] maps: fix typo in cron hours

https://gerrit.wikimedia.org/r/433629

Change 433631 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] maps: disable crons for maps-test2004

https://gerrit.wikimedia.org/r/433631

Change 433631 merged by Gehel:
[operations/puppet@production] maps: disable crons for maps-test2004

https://gerrit.wikimedia.org/r/433631

Pnorman closed this task as Resolved.May 22 2018, 9:46 PM

They're stopped.

Vvjjkkii renamed this task from Stopping cronjobs on maps-test2004 to mucaaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Gehel as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: Gehel; removed: gerritbot, Aklapper.
JJMC89 renamed this task from mucaaaaaaa to Stopping cronjobs on maps-test2004.Jul 1 2018, 2:29 AM
JJMC89 closed this task as Resolved.
JJMC89 assigned this task to Gehel.
JJMC89 lowered the priority of this task from High to Normal.
JJMC89 updated the task description. (Show Details)
JJMC89 edited subscribers, added: Aklapper; removed: Gehel.